OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Namespaces | Macros
datum.hpp File Reference
`#include <opencv2/core/core.hpp>`
`#include <openpose/core/common.hpp>`

Go to the source code of this file.

## Classes
struct | op::Datum

## Namespaces
| op

## Macros
#define | DATUM_BASE_NO_PTR std::vector<Datum>
#define | DATUM_BASE std::shared_ptr<DATUM_BASE_NO_PTR>
#define | DEFINE_TEMPLATE_DATUM(templateName) template class OP_API templateName<DATUM_BASE>
#define | COMPILE_TEMPLATE_DATUM(templateName) extern template class templateName<DATUM_BASE>

## Macro Definition Documentation

#define COMPILE_TEMPLATE_DATUM | ( |  | templateName | ) | extern template class templateName<DATUM_BASE>

#define DATUM_BASE std::shared_ptr<DATUM_BASE_NO_PTR>

#define DATUM_BASE_NO_PTR std::vector<Datum>

#define DEFINE_TEMPLATE_DATUM | ( |  | templateName | ) | template class OP_API templateName<DATUM_BASE>